#
# spec file for package yast2-nfs-client (Version 2.13.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-nfs-client
Version:        2.13.4
Release:        0.11
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-nfs-client-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2 >= 2.11.11
Provides:       yast2-config-nfs yast2-config-nfs-devel
Obsoletes:      yast2-config-nfs yast2-config-nfs-devel
Provides:       yast2-trans-nfs
Obsoletes:      yast2-trans-nfs
Provides:       yast2-config-network:/usr/lib/YaST2/clients/lan_nfs_client.ycp
BuildArchitectures:	noarch
Summary:        YaST2 - NFS Configuration

%description
The YaST2 component for configuration of NFS. NFS stands for network
file system access. It allows access to files on remote machines.



Authors:
--------
    Dan Vesely <dan@suse.cz>
    Martin Vidner <mvidner@suse.cz>

%debug_package
%prep
%setup -n yast2-nfs-client-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/nfs
/usr/share/YaST2/include/nfs/*
%dir /usr/share/YaST2/clients
/usr/share/YaST2/clients/nfs.ycp
/usr/share/YaST2/clients/nfs-client.ycp
/usr/share/YaST2/clients/nfs_auto.ycp
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/Nfs.ycp
/usr/share/YaST2/modules/Nfs.ybc
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/nfs.desktop
%dir /usr/share/YaST2/scrconf
/usr/share/YaST2/scrconf/net_showexports.scr
%dir /usr/lib/YaST2/servers_non_y2
/usr/lib/YaST2/servers_non_y2/ag_showexports
%doc %{prefix}/share/doc/packages/yast2-nfs-client
/usr/share/YaST2/schema/autoyast/rnc/nfs.rnc

%changelog
* Mon Sep 11 2006 - mvidner@suse.cz
- Fixed Progress nesting (#202351).
- Using autodocs-ycp.ami (with parentheses for automake-1.9.6).
- 2.13.4
* Tue Mar 07 2006 - mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Mon Jan 16 2006 - mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.2
* Thu Jan 05 2006 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.1
* Fri Sep 23 2005 - mvidner@suse.cz
- Moved RNC schema from autoyast2.rpm.
- 2.13.0
* Fri Aug 12 2005 - mvidner@suse.cz
- Do not report error if no shares were mounted because of "noauto"
  (#74597).
- More robust parsing of showexports -e (#91184).
- Fixed check_ycp errors. Added comments for translators and ycpdoc.
- 2.12.3
* Wed May 18 2005 - mvidner@suse.cz
- Texts proofread by rwalter.
- 2.12.2
* Fri Apr 22 2005 - mvidner@suse.cz
- Updated the list of valid mount options to include "users" (#74718).
- 2.12.1
* Wed Mar 16 2005 - mvidner@suse.cz
- Recent releases of SUSE Linux ignore ICMP broadcasts,
  so use RPC broadcasts for finding NFS servers (#71064).
- 2.11.7
* Thu Feb 10 2005 - mvidner@suse.cz
- Another testsuite adjustment for firewall.
- 2.11.6
* Mon Feb 07 2005 - mvidner@suse.cz
- Merged proofread texts.
- 2.11.5
* Mon Jan 31 2005 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.4
* Fri Jan 14 2005 - jsuchome@suse.cz
- added command line interface functionality
- 2.11.3
* Mon Jan 03 2005 - mvidner@suse.cz
- Adjusted for firewall's move to yast2.rpm.
- Using Progress::set.
- 2.11.2
* Thu Nov 04 2004 - mvidner@suse.cz
- Replaced selects by brackets, fixing build.
- 2.11.1
* Wed Sep 15 2004 - mvidner@suse.cz
- Use Package instead of Require.
- 2.10.5
* Tue Sep 14 2004 - jsrain@suse.cz
- adapted testsuite to more changes in yast2-firewall
- 2.10.4
* Mon Sep 06 2004 - mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.3
* Tue Aug 31 2004 - nashif@suse.de
- use modified flag (#43904)
* Fri Aug 27 2004 - mvidner@suse.cz
- Added Open Firewall button.
- 2.10.1
* Mon Jun 21 2004 - mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- Added a skeleton of the command line interface.
- 2.10.0
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.11
* Wed Mar 31 2004 - mvidner@suse.cz
- use nfsboot (sm_notify) instead of nfslock (rpc.statd) (#36737)
- 2.9.10
* Mon Mar 15 2004 - mvidner@suse.cz
- fixed canceling Abort (#35991)
- tell the user if showmount is missing
- re-enabled testsuite
- 2.9.9
* Wed Mar 10 2004 - kkaempf@suse.de
- disable testsuite
- 2.9.8
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::
- set icon
- version 2.9.7
* Fri Mar 05 2004 - mvidner@suse.cz
- added type information (lslezak)
- 2.9.6
* Fri Feb 20 2004 - lslezak@suse.cz
- start/stop nfslock service (#34151)
- use module Service::
- NI fixes (data types)
- testsuite update
- version 2.9.5
* Thu Feb 19 2004 - lslezak@suse.cz
- removed yast2-packager from neededforbuild
- version 2.9.4
* Fri Feb 13 2004 - lslezak@suse.cz
- NI fixes (backquote in agent, nil checking, removed globals)
- version 2.9.3
* Tue Feb 10 2004 - lslezak@suse.cz
- removed *.y2cc file
- version 2.9.2
* Tue Feb 03 2004 - lslezak@suse.cz
- testsuite: NI fixes, update
- version 2.9.1
* Thu Nov 20 2003 - lslezak@suse.cz
- use UI:: file popup dialog
- version 2.9.0
* Thu Sep 11 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Fri Sep 05 2003 - lslezak@suse.de
- merged texts from proofread
- version 2.8.5
* Thu Aug 14 2003 - jsuchome@suse.de
- added writing progress bar (due to #28729)
- 2.8.4
* Mon Aug 11 2003 - lslezak@suse.cz
- new Mount and Unmount functions
- added yast2-packager to neededforbuild
- merged proofread texts
- version 2.8.3
* Mon Aug 04 2003 - mvidner@suse.cz
- Kicked the "Really save?" and "Successfully saved" popups (#28322).
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Fri Jun 20 2003 - mvidner@suse.cz
- Using Require, Label and Popup.
- 2.8.1
* Fri Mar 28 2003 - mvidner@suse.de
- Made the host browsing list display only NFS servers
  instead of all hosts on the LAN.
- Added a button to select from a list of exported directories
  of a NFS server.
- 2.8.0
* Mon Mar 03 2003 - mvidner@suse.de
- Import accepts empty list and can reset settings (nashif).
- 2.7.3
* Wed Feb 12 2003 - mvidner@suse.de
- Changed _auto::Result to Export (nashif).
- 2.7.2
* Mon Feb 03 2003 - mvidner@suse.de
- Added Read to _auto (nashif).
- 2.7.1
* Mon Jan 20 2003 - mvidner@suse.de
- Using the new *_auto dispatcher (nashif).
- Added function key shortcuts in ncurses.
- 2.7.0
* Mon Aug 26 2002 - mvidner@suse.cz
- Make "yast2 nfs-client" invoke "yast2 nfs" (#17570).
- 2.6.11
* Sun Aug 11 2002 - mvidner@suse.cz
- Let the table keep the keyboard focus (#16116 workaround).
- Fixed autoyast writing (nashif).
- 2.6.10
* Wed Jul 31 2002 - mvidner@suse.cz
- Added comments for translators
- yast2-runlevel is no longer required.
- Updated screenshots
- 2.6.9
* Wed Jul 17 2002 - mvidner@suse.cz
- Allow directories with spaces (#15524).
- 2.6.8
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 12 2002 - mvidner@suse.cz
- Fixed dependencies, using devtools 2.6.6.
- 2.6.6
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 - mvidner@suse.cz
- Renamed to "yast2-nfs-client".
- 2.6.3
* Wed Jun 26 2002 - mvidner@suse.cz
- Pot file included.
- Removed dependency on translation package.
- Adapted to changed any-agent interface.
- 2.6.2
* Mon May 27 2002 - mvidner@suse.cz
- Current autoyast interface (nashif)
- WM close button works as Abort
- Fix for automake 1.6
- 2.6.1
* Fri Feb 15 2002 - mvidner@suse.cz
- Another proofreading.
- 2.5.10
* Mon Feb 11 2002 - mvidner@suse.cz
- 'Finish' button does not change to 'Next'. Help fixed accordingly.
- Added SetFocus to input popups.
- 2.5.9
* Wed Jan 30 2002 - mvidner@suse.cz
- Had the English texts proofread.
- 2.5.8
* Mon Jan 28 2002 - mvidner@suse.cz
- Autoinst: fixed map keys.
- Autoinst: uses WriteOnly.
- 2.5.7
* Fri Jan 18 2002 - mvidner@suse.cz
- SetFocus to the invalid input field. (bug #12323).
- Delete and activation fixed (module conversion bugs).
- Using Report::
- 2.5.6
* Wed Jan 09 2002 - mvidner@suse.cz
- Removed old menu entry.
- 2.5.5
* Mon Dec 17 2001 - mvidner@suse.cz
- Added an autoinstalation client.
- 2.5.4
* Tue Dec 04 2001 - mvidner@suse.cz
- Added default values for selects.
- 2.5.3
* Wed Nov 28 2001 - mvidner@suse.cz
- Converted to a Module.
- Migrated to y2autoconf and create-spec.
- 2.5.2
* Tue Nov 13 2001 - mvidner@suse.cz
- Added default values for lookups.
- 2.5.1
* Thu Sep 20 2001 - mvidner@suse.cz
- Fixed #11079: noauto and other generic options were refused.
- Also correctly says Wrong option instead of Wrong option format
- and strips spaces instead of giving a confusing error.
- 2.4.12
* Fri Sep 14 2001 - mvidner@suse.cz
- Added missing keyboard focus to OK buttons (#9915) (2.4.11)
* Thu Sep 06 2001 - mvidner@suse.cz
- Dialog size and spacing fixes (for ncurses). (2.4.10)
* Mon Sep 03 2001 - mvidner@suse.cz
- Use yast2-config-runlevel.
- Start portmap only if not running already (Bug #9999).
- Strip a trailing slash off pathnames (it confused "rcnfs status").
- 2.4.9
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.7)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string. (2.4.6)
* Tue Aug 07 2001 - mvidner@suse.cz
- Changed from RPM Requires to require.ycp.
- 2.4.5
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- UI bug in test suite: sformat(UI(_(...))) -> sformat(_(...))
- Replaced _("&OK") by OKButtonLabel() etc.
- Unified the buttons to Add-Edit-Delete.
- Made keyboard shortcuts unique.
- version 2.4.4
* Tue Jul 24 2001 - mvidner@suse.cz
- Fixed a stupid error in the specfile.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Fixed calling the writing function, fixed obsolete Mkdir call.
- added a testsuite
- Requires portmap
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct textdomain
- correct provides
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
